Cancel Expected Payment
curl --request POST \
--url https://vas.finpaytech.co/business-api/api/v1/merchants/me/expected-payments/{expectedPaymentId}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://vas.finpaytech.co/business-api/api/v1/merchants/me/expected-payments/{expectedPaymentId}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vas.finpaytech.co/business-api/api/v1/merchants/me/expected-payments/{expectedPaymentId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "721e86a8-fd29-49b5-b42f-67e19dfb2f6e",
"merchantId": "301f0991-8f7c-4501-a1d4-c317fe7b7f23",
"subMerchantId": null,
"customerId": null,
"paymentReference": "INV-2026-1044",
"amount": 2500,
"currency": "KES",
"status": "CANCELLED",
"expiresAt": "2026-09-12T21:00:00Z",
"matchedCreditId": null,
"virtualAccountId": "dae3dc89-dd62-42cb-84a9-d884e8d6f536",
"virtualAccountNumber": "7600000073",
"createdAt": "2026-09-09T10:00:00.000Z"
}Invoice VA
Cancel Expected Payment
POST
https://vas.finpaytech.co/business-api
/
api
/
v1
/
merchants
/
me
/
expected-payments
/
{expectedPaymentId}
/
cancel
Cancel Expected Payment
